<?php

/**
 * ProcessEditDialogBeforeOpen
 *
 * @author Tomasz Świenty
 * @version 0.1
 * @copyright Copyright (c) BetaSoft
 */
final class ProcessEditDialogBeforeOpen {


    /**
     * @param $args
     * @return bool
     * @throws RequestAbortException
     */
    public static function init($args) {

        $action = NULL;
        if (!isset($args['action'])) {
            return FALSE;
        }

        $action = $args['action'];
        if ($action !== 'beforeOpen') {
            return TRUE;
        }

        if (!is_object($args['container']) OR !is_a($args['container'], 'ProcessEditDialog')) {
            return TRUE;
        }

        // jeśli nowa sprawa wtedy mamy clsnam i keyval
        // jeśli edycja wtedy mamy prc_id i cały zestaw danych sprawy w tym dos_id
        // proszę sprawdzić debugiem
        $params = JSON::toArray(isset($args['params']) ? $args['params'] : []);
        if (!$params) {
            return TRUE;
        }

        // EDYCJA
        if (isset($params['prc_id']) AND filter_var($params['prc_id'], FILTER_VALIDATE_INT) AND isset($params['dos_id']) AND ($params['dos_id'] == 20)) {
            // własny kod js dla przykładu
            // JScript::add('App.openDialogByCls(\'CONTACT\', 10)');
            throw new RequestAbortException();
        }

        // dla nowej sprawy clsnam = DOSS a keyval to dsexid
        if (!isset($params['prc_id']) AND isset($params['clsnam']) AND isset($params['keyval'])) {
            // jeśli spełnione warunku otwarcia własnej kartoteki to kod js plus throw new RequestAbortException();
        }

    }

}

if (isset($args)) {
    ProcessEditDialogBeforeOpen::init($args);
}